%global dlrn_nvr barbican_tempest_plugin-1.2.1-2.20220111025732.ad7f742
%global dlrn 1
%define upstream_version 1.2.1
# Macros for py2/py3 compatibility
%if 0%{?fedora} || 0%{?rhel} > 7
%global pyver %{python3_pkgversion}
%else
%global pyver 2
%endif
%global pyver_bin python%{pyver}
%global pyver_sitelib %{expand:%{python%{pyver}_sitelib}}
%global pyver_install %{expand:%{py%{pyver}_install}}
%global pyver_build %{expand:%{py%{pyver}_build}}
# End of macros for py2/py3 compatibility
%global service barbican
%global plugin barbican-tempest-plugin
%global module barbican_tempest_plugin
# Disabling doc as it is not available
%global with_doc 0

%{!?upstream_version: %global upstream_version %{version}%{?milestone}}

%global common_desc \
This project defines a tempest plugin containing tests used to verify the \
functionality of a barbican installation. The plugin will automatically load \
these tests into tempest.


Name:       python-%{service}-tests-tempest
Version: 1.2.1
Release: 2.20220111025732.ad7f742%{?dist}
Summary:    Tempest plugin for the barbican project.
License:    ASL 2.0
URL:        https://git.openstack.org/cgit/openstack/%{plugin}/

Source0: barbican_tempest_plugin-1.2.1-2.20220111025732.ad7f742.tar.gz
# This patch reverts the removal of six, readding Python2 compatibility
#
# patches_ignore=DROP-IN-RPM
# patches_base=ad7f742ea9edd5508123b321d46ec2f4e1af8271

BuildArch:  noarch
BuildRequires:  git
BuildRequires:  openstack-macros

%description
%{common_desc}

%package -n python%{pyver}-%{service}-tests-tempest
Summary: %{summary}
%{?python_provide:%python_provide python%{pyver}-%{service}-tests-tempest}
BuildRequires:  python%{pyver}-devel
BuildRequires:  python%{pyver}-pbr
BuildRequires:  python%{pyver}-setuptools

Requires:   python%{pyver}-tempest >= 1:18.0.0
Requires:   python%{pyver}-pbr >= 3.1.1
Requires:   python%{pyver}-cryptography
Requires:   python%{pyver}-oslo-config >= 2:5.2.0
Requires:   python%{pyver}-oslo-log >= 3.36.0
Requires:   python%{pyver}-six >= 1.10.0

%description -n python%{pyver}-%{service}-tests-tempest
%{common_desc}

%if 0%{?with_doc}
%package -n python-%{service}-tests-tempest-doc
Summary:        python-%{service}-tests-tempest documentation

BuildRequires:  python%{pyver}-sphinx
BuildRequires:  python%{pyver}-oslo-sphinx

%description -n python-%{service}-tests-tempest-doc
It contains the documentation for the Barbican tempest tests.
%endif

%prep
%autosetup -n %{module}-%{upstream_version} -S git

# Let's handle dependencies ourseleves
%py_req_cleanup
# Remove bundled egg-ingo
rm -rf %{module}.egg-info

%build
%{pyver_build}

# Generate Docs
%if 0%{?with_doc}
%{pyver_bin} setup.py build_sphinx
# remove the sphinx build leftovers
rm -rf doc/build/html/.{doctrees,buildinfo}
%endif

%install
%{pyver_install}

%files -n python%{pyver}-%{service}-tests-tempest
%license LICENSE
%doc README.rst
%{pyver_sitelib}/%{module}
%{pyver_sitelib}/*.egg-info

%if 0%{?with_doc}
%files -n python-%{service}-tests-tempest-doc
%doc doc/build/html
%license LICENSE
%endif

%changelog
* Mon Jan 10 2022 OSP Prod Chain <dev-null@redhat.com> 1.2.1-2.20220111025732.ad7f742
- Update patches

* Mon Jun 07 2021 CPaaS User <cpaas-ops@redhat.com> - 1.2.1-2.20210527204812.ad7f742.2
- Bump release

* Mon Jun 07 2021 CPaaS User <cpaas-ops@redhat.com> - 1.2.1-2.20210527204812.ad7f742.1
- Bump release

* Thu May 27 2021 OSP Prod Chain <dev-null@redhat.com> 1.2.1-2.20210527204812.ad7f742
- Update patches

* Fri May 07 2021 OSP Prod Chain <dev-null@redhat.com> 1.2.1-2.20210507123304.ad7f742
- Update patches
- [goal] Keep barbican-tempest-plugin stable jobs to bionic
- Copy created image into all available glance stores
- Fix test_signed_image_upload_boot_failure skip method
- fix urls in README
- Update hacking for Python3
- Add py38 package metadata
- Remove six
- Remove a dummy test
- Fix setup.cfg keywords
- bump py37 to py38 in tox.ini
- Deprecate scenario.img_dir option
- Ceph Multibackend changes
- [goal] Migrate testing to ubuntu focal
- zuul: migrate and clean the tempest native jobs
- Use the encryption provider constants
- Add certificate validation scenario tests
- [ussuri][goal] Drop python 2.7 support and testing
- Remove use of deprecated config options for volume API selection
- Update the constraints url
- Switch to stestr
- Update the old doc links

* Mon Sep 30 2019 RDO <dev@lists.rdoproject.org> 0.3.0-1
- Update to 0.3.0


